package com.jasamedika.medifirst2000.service;

import java.util.Map;

import com.jasamedika.medifirst2000.vo.IpsrsPelaksanaanPerbaikanVO;
import com.jasamedika.medifirst2000.vo.IpsrsPerbaikanVO;

public interface IpsrsPerbaikanService {
	public Map<String, Object> getUserLogin();
	public Map<String, Object> getNoOrderTable();
	public String noOrderPerbaikan();
	public Map<String, Object> getRuanganPerbaikan();
	public Map<String, Object> getAsetPerbaikan(Integer id);
	public Map<String, Object> savePermintaanPerbaikan(IpsrsPerbaikanVO vo);
	public Map<String, Object> getAllPermintaanPerbaikan();
	public Map<String, Object> getOnePermintaanPerbaikan(String noRec);
	public Map<String, Object> savePelaksanaanPerbaikan(IpsrsPelaksanaanPerbaikanVO vo);
	public Map<String, Object> getAllIpsrsPerbaikanByNoRec(String NoRec);
	public Boolean deleteIpsrsPerbaikan(String noRec);
	public Map<String, Object> updatePermintaanPerbaikan(IpsrsPerbaikanVO vo);
}
